aboutsummaryrefslogtreecommitdiff
path: root/test/008-unwritable-outfile.test/run.sh
diff options
context:
space:
mode:
authorDavid Phillips <dbphillipsnz@gmail.com>2016-04-23 23:44:32 +1200
committerDavid Phillips <dbphillipsnz@gmail.com>2016-04-23 23:44:32 +1200
commit01a3d56ab3c71a065c3b827740dade5f27e95ef3 (patch)
tree4deb062bae8e342016caf3d471284038707023da /test/008-unwritable-outfile.test/run.sh
parent69b95d4a4a3cfdac9eb0a8f03c7bf381eac3a3e1 (diff)
downloadcue-bin-split-01a3d56ab3c71a065c3b827740dade5f27e95ef3.tar.xz
Improved test coverage
Diffstat (limited to 'test/008-unwritable-outfile.test/run.sh')
-rwxr-xr-xtest/008-unwritable-outfile.test/run.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/008-unwritable-outfile.test/run.sh b/test/008-unwritable-outfile.test/run.sh
new file mode 100755
index 0000000..c8f1b4c
--- /dev/null
+++ b/test/008-unwritable-outfile.test/run.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+touch track.raw
+chmod -w track.raw
+
+echo -e '0:0:0\n1:0:0' | ${EXECUTABLE} -r 1 -c 1 -i /dev/null -s 1 -f track.raw
+
+if [ $? -eq 0 ]; then
+ exit 1
+else
+ rm -f track.raw
+ exit 0
+fi